#ifndef __DETAILWINDOW_HPP
#define __DETAILWINDOW_HPP

#include <SophiaFramework.hpp>

#include "RSSData.hpp"

SFMTYPEDEFRESPONDER(DetailWindow)
class DetailWindow : public SFZWindow {
    SFMSEALRESPONDER(DetailWindow)
    SFMRESPONDERINSTANTIATEFOUR(DetailWindow, SFZWindow, SFYContainer, SFYWidget, SFYResponder)
public:
    enum PlacementEnum {
        SCROLLBAR_WIDTH = 6                                 // XN[o[̕
    };
    SFMTYPEDEFTYPE(PlacementEnum)
private:
    RSSFeedPtr                      _currentFeed;           // ݂̃tB[h
    SInt32                          _cursor;                // J[\s
    SFZMultipleTextLabelControlSmp  _labelCurDesc;          // ݂̐x
public:
            Void                    DetailWindow::UpdateTitle(Void);
    static  DetailWindowSmp         NewInstance(SFCErrorPtr exception = null);
            SFCError                Make(RSSFeedPtr feed, SInt32 cursor);
private:
    explicit                        DetailWindow(Void) static_throws;
    virtual                         ~DetailWindow(Void);
            Void                    ViewNextItem(Void);
            Void                    ViewPrevItem(Void);
            SFCError                SetSoftKey(Void);
            SFCError                SetText(SFXWideStringConstRef text);
    XANDLER_DECLARE_BOOLEVENT(OnKey)                        // L[nh
    XANDLER_DECLARE_VOIDRESULT(OnSoftKey)                   // \tgL[nh
    XANDLER_DECLARE_VOIDSTYLE(OnLabelText)                  // xeLXgύXnh
};

#endif // __DETAILWINDOW_HPP
